
<?php

###########################
#Скрипт: Keo v1#
#Автор: GulievMMA#
#Версия: v1#
#Страна: Азербайджан#
#Город: Сумгайыт#
#Спорт: ММА#
#Сайт: KeoTop.Ru#
#Сайт: H9M.Ru#
#Телеграм: @AnarQuliyevMMA#
#E-mail: guliev.mma@gmail.com  #
#WhatsApp: +994 (77) 768-39-39#
#WhatsApp: +994 (55) 968-78-69#
############################
#Скрипт Принадлежит Мне , Продавать и Распростронять Нельзя (!)#
############################

define('NTOP', 1);
$title = 'Регистрация';
require_once ('../system/connect.php');
require_once ('../system/core.php');
require_once ('../system/function.php');
require_once ('head.php');
if($set['power_reg'] == 0)
	{
		echo '<div class="error">';
		echo 'Регистрация закрыта!<br/>';
		echo '</div>';
		require_once ('foot.php');
		exit;
	}
echo '<div class="title2">Регистрация</div>';
if(isset($_POST['ok']))
	{
		$login = mysql_real_escape_string(trim($_POST['login']));
                $name = mysql_real_escape_string(trim($_POST['name']));
		$mail = mysql_real_escape_string(trim($_POST['mail']));
		$pass = htmlspecialchars(trim($_POST['password']));
		$pass1 = htmlspecialchars(trim($_POST['password1']));
		
		$error = '';
		if(empty($login) or empty($name) or empty($mail) or empty($pass) or empty($pass1))
			{
			$error .= 'Все поля обязательны к заполнению!<br/>';
			}
			if(mb_strlen($login) >= 12)
			{
			$error .= 'ЛОгин должен быть не Больше 12 символов!<br/>';
			}
			if(mb_strlen($login) <= 2)
			{
			$error .= 'ЛОгин должен быть не меньше 3 символов!<br/>';
			}
		    if($pass != $pass1)
			{
			$error .= 'Пароли не совпадают!<br/>';
			}
			
		if (mysql_num_rows(mysql_query("SELECT * FROM ".$prefix."users WHERE login = '".$login."' LIMIT 1")) != 0)
			{
				$error .= 'Логин уже зарегистрирован! Выберите другой!<br/>';
			}
		if (!preg_match('|^[a-z0-9\-_]+$|i',$login))
			{
				$error .= 'В логине можно использовать только латиницу и цифры!<br/>';
			}
if (!preg_match('|^[А-Яа-яA-Za-z\-_]+$|i',$name))
			{
				$error .= 'В име можно использовать только букви!<br/>';
			}
		if (!empty($mail) and !preg_match('#^([A-Za-z0-9_\-\.])+\@([A-Za-z0-9_\-\.])+(\.([A-Za-z0-9])+)+$#', $mail))
			{
				$error .= 'Вы ввели неверный адрес e-mail, необходим формат name@site.domen!<br/>';
			}
		if (!empty($mail) and (mysql_num_rows(mysql_query("SELECT * FROM ".$prefix."users WHERE mail = '".$mail."' LIMIT 1")) != 0))
			{
				$error .= 'Пользователь с таким e-mail уже зарегистрирован!<br/>';
			}
		if(!empty($error))
			{
				echo '<div class="topni">';
				echo $error;
				echo '<a href="http://'.$set['home'].'/m/registration">Назад</a><br/>';
				echo '</div>';
			}
		else
			{
				$subject = "Регистрация в топ рейтинге ".$set['home'];
				$body = "Уважаемий ".$name."!  Вы зapeгиcтриpoвaны в рейтинге сайтов ".$set['home'].".\nВaши дaнные:\n";
				$body .= "Логин: ".$login."\nПароль: ".$pass."\n";
				$body .= "Не теряйте свои данные!\n";
				$headers = "From: ".$set['mail']." \n";
				$headers .= "Content-Type: text/plain; charset=utf-8\n";
				mail($mail, $subject, $body, $headers);
				unset($_SESSION['kod']);

                      	$reg = mysql_query("INSERT INTO ".$prefix."users SET
                name = '" . $name . "',
                login = '" . $login . "',
                password = '" . md5($pass) . "',
                mail = '" . $mail . "',
                page_news = '" . $set['page_news'] . "',
                page_newsc = '" . $set['page_newsc'] . "',
                page_sait = '" . $set['page_sait'] . "',
                page_platforms = '" . $set['page_platforms'] . "',
                page_top = '" . $set['page_top'] . "',
                page_sait_comments = '" . $set['page_sait_comments'] . "',
                pages = '" . $set['pages'] . "',
                level = '1',
                time_reg = '" . time() . "'");
				if($reg)
					{
						echo '<div class="main">Вы успешно зарегистрировались в Топ-Рейтинге <strong>'.$set['name'].'</strong> ! Теперь войдите под своими данными и добавьте площадку.<br/>';
						echo '<a href="http://'.$set['home'].'/m/authenticatio

n">Вход</a></div>';
					}
				else
					{
						echo 'Вы не зарегистрированы!<br/>';
						echo '<a href="http://'.$set['home'].'/m/registration">Назад</a><br/>';
					}
			}
	}
else
	{
		echo '<div class="main">';
		echo'
		<form action="registration" method="post">
		Ваш имя: [Исползуется для обращения к вам] [max.30]<br/>
		<input name="name" type="text" value="'.htmlspecialchars($_POST['name']).'" /><br/>
Логин: [A-Za-z0-9_-] [max.30]<br/>
		<input name="login" type="text" value="'.htmlspecialchars($_POST['login']).'" /><br/>
		Пароль [max.30]:<br/>
		<input name="password" type="text" value="" /><br/>
		Повторите пароль:<br/>
		<input name="password1" type="text" value="" /><br/>
		Ваш e-mail адрес:<br/>
		<input name="mail" type="text" value="'.htmlspecialchars($_POST['mail']).'" /><br/></br>
		<input name="ok" type="submit" value="Регистрировать" /></form><hr>';
		echo '<small>Все поля обязательны к заполнению.</small><br/><small>Регистрируясь, вы соглашаетесь с <a href="http://'.$set['home'].'/m/rules">ПРАВИЛАМИ</a> рейтинга.</small>';
		echo '</div>';
	}

require_once ('foot.php');
?>